Bug 209009 - NetworkManager crashes pretty often
NetworkManager crashes pretty often
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2006-10-02 18:08 EDT by Pekka Pietikäinen
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-12 03:18:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/messages from affected machine (34.01 KB, text/plain)
2006-10-02 18:08 EDT, Pekka Pietikäinen
no flags Details
/var/log/messages output for NetworkManager catching Signal 6 (26.08 KB, text/plain)
2006-10-27 10:06 EDT, Tom London
no flags Details

  None (edit)
Description Pekka Pietikäinen 2006-10-02 18:08:23 EDT
Description of problem:

NetworkManager crashes every few days for no apparent reason. Hardware is
eth0=e1000, eth1=airo, typically only wireless gets used (and one of them
often gets renamed to somethin like __tmp1804289383 by something, but that's
another thing).

Version-Release number of selected component (if applicable):


How reproducible:

Use NetworkManager in a scenario, where there's one SSID that's almost always
there, occasionally a second one with WEP turned on (and when that's in reach,
it's also used). Wired port is seldom touched.

Crashdump from syslog attached including debug symbols.

Could be related to #195643, but since the traceback didn't have any symbols,
it's impossible to say whether this is the same crash or not.
Comment 1 Pekka Pietikäinen 2006-10-02 18:08:23 EDT
Created attachment 137606 [details]
/var/log/messages from affected machine
Comment 2 Christopher Aillon 2006-10-05 18:12:00 EDT
A workaround seems to be to fill in the appropriate HWADDR lines in
Comment 3 Tom London 2006-10-27 10:03:42 EDT
I'm getting a different crash: Signal 6: (log attached)

Oct 27 06:51:01 localhost NetworkManager: <WARN>  nm_signal_handler(): Caught
signal 6.  Generating backtrace...
Oct 27 06:51:02 localhost NetworkManager: ******************* START
Oct 27 06:51:03 localhost NetworkManager: (no debugging symbols found)
Oct 27 06:51:03 localhost NetworkManager: Using host libthread_db library
Oct 27 06:51:03 localhost NetworkManager: (no debugging symbols found)
Oct 27 06:51:04 localhost last message repeated 10 times

[root@localhost ~]# service NetworkManager status
NetworkManager dead but pid file exists
[root@localhost ~]# 
[root@localhost ~]# service NetworkManager start
Setting network parameters... 
Starting NetworkManager daemon:                            [  OK  ]
[root@localhost ~]# 

Started up correctly and seems to be working.

Comment 4 Tom London 2006-10-27 10:07:05 EDT
Created attachment 139582 [details]
/var/log/messages output for NetworkManager catching Signal 6
Comment 5 Dan Williams 2008-02-11 22:23:52 EST
Seems more like a libdbus error, what version of dbus do you have installed?
Comment 6 Pekka Pietikäinen 2008-02-12 03:18:04 EST
Err. Versions now are 


(vs. fc6 or rawhide after it in the report) and I can't remember NM crashing for
ages, F8 was fine at least. -> closing CURRENTRELEASE, I'm pretty sure someone
would have added later comments had this not been fixed by either a NM or dbus

Note You need to log in before you can comment on or make changes to this bug.